PhocaGallery

Marcel
20. lis 2012 23:03 #100163
Ahoj vespolek,
mám dotaz: nahrál jsem si Joomlu 3.0.2, zkouším tam dohrát fotogalerii Phoca, podle stránek www.phoca.cz je kompatibilní jenom s verzemi 1.5, 1.7 a 2.5. Komponenta se mi nainstaluje bez problému, ale pak nefunguje. V jednom příspěvku v této sekci jsem se dočetl, že ji však kdosi používá. Existuje nějaká možnost, resp. má někdo zkušenost, jak Phoca Gallery zprovoznit na Joomla 3.x?

Háže mi to tento error:
Warning: require_once(/data/web/virtuals/33001/virtual/www/administratorDScomponentsDScom_phocagalleryDSlibrariesDSloader.php) [function.require-once]: failed to open stream: No such file or directory in /data/web/virtuals/33001/virtual/www/administrator/components/com_phocagallery/phocagallery.php on line 16

Fatal error: require_once() [function.require]: Failed opening required '/data/web/virtuals/33001/virtual/www/administratorDScomponentsDScom_phocagalleryDSlibrariesDSloader.php' (include_path='.:/data/web/virtuals/33001/virtual') in /data/web/virtuals/33001/virtual/www/administrator/components/com_phocagallery/phocagallery.php on line 16

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Cony
20. lis 2012 23:16 #100166
Přesně tak, Phoca zatím Joomlu 3.0 pokud vím nepodporuje a nejspíš by jste jí musel hodně upravit aby podporovala. Nevím nezkoušel jsem, ale možná by mohlo pomoci trikem dodefinovat konstantu DS - je ale možné že nekompatibilit tam bude víc.
Vytvořte soubor defines.php v kořenové složce Joomly a dejte do něj
<?php
defined('_JEXEC') or die;
define('DS',DIRECTORY_SEPARATOR);

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.